### Method

# Gdk FrameTimingsget_complete

#### Declaration [src]

    gboolean
    gdk_frame_timings_get_complete (
      GdkFrameTimings* timings
    )

#### Description [src]

Returns whether `timings` are complete.

The timing information in a `GdkFrameTimings` is filled in incrementally as the frame as drawn and passed off to the window system for processing and display to the user. The accessor functions for `GdkFrameTimings` can return 0 to indicate an unavailable value for two reasons: either because the information is not yet available, or because it isn’t available at all.

Once this function returns `TRUE` for a frame, you can be certain that no further values will become available and be stored in the `GdkFrameTimings`.

#### Return value

Type: `gboolean`

`TRUE` if all information that will be available for the frame has been filled in.